Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network172.16.131.0/24
Usable hosts254
Subnet mask255.255.255.0
Addresses256
Network address
172.16.131.0
Broadcast address
172.16.131.255
First usable
172.16.131.1
Last usable
172.16.131.254
Usable hosts
254 (256 less the network and broadcast addresses)
Subnet mask
255.255.255.0
Wildcard mask
0.0.0.255 (Cisco ACLs, OSPF)
Prefix length
/24
Type
Private (RFC 1918) 172.16.0.0/12
Office and home networks; not routed on the internet
Old class
B (default /16)
As numbers
Hex AC108300 · Integer 2886763264 to 2886763519
Reverse DNS zone
131.16.172.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101100.00010000.10000011..00000000172.16.131.0
Subnet mask11111111.11111111.11111111..00000000255.255.255.0
Network10101100.00010000.10000011..00000000172.16.131.0
Broadcast10101100.00010000.10000011..11111111172.16.131.255
Split into smaller subnets/32

172.16.131.0/24 makes 256 subnets of /32.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1172.16.131.0/32172.16.131.0 to 172.16.131.0—1
2172.16.131.1/32172.16.131.1 to 172.16.131.1—1
3172.16.131.2/32172.16.131.2 to 172.16.131.2—1
4172.16.131.3/32172.16.131.3 to 172.16.131.3—1
5172.16.131.4/32172.16.131.4 to 172.16.131.4—1
6172.16.131.5/32172.16.131.5 to 172.16.131.5—1
7172.16.131.6/32172.16.131.6 to 172.16.131.6—1
8172.16.131.7/32172.16.131.7 to 172.16.131.7—1
9172.16.131.8/32172.16.131.8 to 172.16.131.8—1
10172.16.131.9/32172.16.131.9 to 172.16.131.9—1
11172.16.131.10/32172.16.131.10 to 172.16.131.10—1
12172.16.131.11/32172.16.131.11 to 172.16.131.11—1
13172.16.131.12/32172.16.131.12 to 172.16.131.12—1
14172.16.131.13/32172.16.131.13 to 172.16.131.13—1
15172.16.131.14/32172.16.131.14 to 172.16.131.14—1
16172.16.131.15/32172.16.131.15 to 172.16.131.15—1
17172.16.131.16/32172.16.131.16 to 172.16.131.16—1
18172.16.131.17/32172.16.131.17 to 172.16.131.17—1
19172.16.131.18/32172.16.131.18 to 172.16.131.18—1
20172.16.131.19/32172.16.131.19 to 172.16.131.19—1
21172.16.131.20/32172.16.131.20 to 172.16.131.20—1
22172.16.131.21/32172.16.131.21 to 172.16.131.21—1
23172.16.131.22/32172.16.131.22 to 172.16.131.22—1
24172.16.131.23/32172.16.131.23 to 172.16.131.23—1
25172.16.131.24/32172.16.131.24 to 172.16.131.24—1
26172.16.131.25/32172.16.131.25 to 172.16.131.25—1
27172.16.131.26/32172.16.131.26 to 172.16.131.26—1
28172.16.131.27/32172.16.131.27 to 172.16.131.27—1
29172.16.131.28/32172.16.131.28 to 172.16.131.28—1
30172.16.131.29/32172.16.131.29 to 172.16.131.29—1
31172.16.131.30/32172.16.131.30 to 172.16.131.30—1
32172.16.131.31/32172.16.131.31 to 172.16.131.31—1
33172.16.131.32/32172.16.131.32 to 172.16.131.32—1
34172.16.131.33/32172.16.131.33 to 172.16.131.33—1
35172.16.131.34/32172.16.131.34 to 172.16.131.34—1
36172.16.131.35/32172.16.131.35 to 172.16.131.35—1
37172.16.131.36/32172.16.131.36 to 172.16.131.36—1
38172.16.131.37/32172.16.131.37 to 172.16.131.37—1
39172.16.131.38/32172.16.131.38 to 172.16.131.38—1
40172.16.131.39/32172.16.131.39 to 172.16.131.39—1
41172.16.131.40/32172.16.131.40 to 172.16.131.40—1
42172.16.131.41/32172.16.131.41 to 172.16.131.41—1
43172.16.131.42/32172.16.131.42 to 172.16.131.42—1
44172.16.131.43/32172.16.131.43 to 172.16.131.43—1
45172.16.131.44/32172.16.131.44 to 172.16.131.44—1
46172.16.131.45/32172.16.131.45 to 172.16.131.45—1
47172.16.131.46/32172.16.131.46 to 172.16.131.46—1
48172.16.131.47/32172.16.131.47 to 172.16.131.47—1
49172.16.131.48/32172.16.131.48 to 172.16.131.48—1
50172.16.131.49/32172.16.131.49 to 172.16.131.49—1
51172.16.131.50/32172.16.131.50 to 172.16.131.50—1
52172.16.131.51/32172.16.131.51 to 172.16.131.51—1
53172.16.131.52/32172.16.131.52 to 172.16.131.52—1
54172.16.131.53/32172.16.131.53 to 172.16.131.53—1
55172.16.131.54/32172.16.131.54 to 172.16.131.54—1
56172.16.131.55/32172.16.131.55 to 172.16.131.55—1
57172.16.131.56/32172.16.131.56 to 172.16.131.56—1
58172.16.131.57/32172.16.131.57 to 172.16.131.57—1
59172.16.131.58/32172.16.131.58 to 172.16.131.58—1
60172.16.131.59/32172.16.131.59 to 172.16.131.59—1
61172.16.131.60/32172.16.131.60 to 172.16.131.60—1
62172.16.131.61/32172.16.131.61 to 172.16.131.61—1
63172.16.131.62/32172.16.131.62 to 172.16.131.62—1
64172.16.131.63/32172.16.131.63 to 172.16.131.63—1
65172.16.131.64/32172.16.131.64 to 172.16.131.64—1
66172.16.131.65/32172.16.131.65 to 172.16.131.65—1
67172.16.131.66/32172.16.131.66 to 172.16.131.66—1
68172.16.131.67/32172.16.131.67 to 172.16.131.67—1
69172.16.131.68/32172.16.131.68 to 172.16.131.68—1
70172.16.131.69/32172.16.131.69 to 172.16.131.69—1
71172.16.131.70/32172.16.131.70 to 172.16.131.70—1
72172.16.131.71/32172.16.131.71 to 172.16.131.71—1
73172.16.131.72/32172.16.131.72 to 172.16.131.72—1
74172.16.131.73/32172.16.131.73 to 172.16.131.73—1
75172.16.131.74/32172.16.131.74 to 172.16.131.74—1
76172.16.131.75/32172.16.131.75 to 172.16.131.75—1
77172.16.131.76/32172.16.131.76 to 172.16.131.76—1
78172.16.131.77/32172.16.131.77 to 172.16.131.77—1
79172.16.131.78/32172.16.131.78 to 172.16.131.78—1
80172.16.131.79/32172.16.131.79 to 172.16.131.79—1
81172.16.131.80/32172.16.131.80 to 172.16.131.80—1
82172.16.131.81/32172.16.131.81 to 172.16.131.81—1
83172.16.131.82/32172.16.131.82 to 172.16.131.82—1
84172.16.131.83/32172.16.131.83 to 172.16.131.83—1
85172.16.131.84/32172.16.131.84 to 172.16.131.84—1
86172.16.131.85/32172.16.131.85 to 172.16.131.85—1
87172.16.131.86/32172.16.131.86 to 172.16.131.86—1
88172.16.131.87/32172.16.131.87 to 172.16.131.87—1
89172.16.131.88/32172.16.131.88 to 172.16.131.88—1
90172.16.131.89/32172.16.131.89 to 172.16.131.89—1
91172.16.131.90/32172.16.131.90 to 172.16.131.90—1
92172.16.131.91/32172.16.131.91 to 172.16.131.91—1
93172.16.131.92/32172.16.131.92 to 172.16.131.92—1
94172.16.131.93/32172.16.131.93 to 172.16.131.93—1
95172.16.131.94/32172.16.131.94 to 172.16.131.94—1
96172.16.131.95/32172.16.131.95 to 172.16.131.95—1
97172.16.131.96/32172.16.131.96 to 172.16.131.96—1
98172.16.131.97/32172.16.131.97 to 172.16.131.97—1
99172.16.131.98/32172.16.131.98 to 172.16.131.98—1
100172.16.131.99/32172.16.131.99 to 172.16.131.99—1
101172.16.131.100/32172.16.131.100 to 172.16.131.100—1
102172.16.131.101/32172.16.131.101 to 172.16.131.101—1
103172.16.131.102/32172.16.131.102 to 172.16.131.102—1
104172.16.131.103/32172.16.131.103 to 172.16.131.103—1
105172.16.131.104/32172.16.131.104 to 172.16.131.104—1
106172.16.131.105/32172.16.131.105 to 172.16.131.105—1
107172.16.131.106/32172.16.131.106 to 172.16.131.106—1
108172.16.131.107/32172.16.131.107 to 172.16.131.107—1
109172.16.131.108/32172.16.131.108 to 172.16.131.108—1
110172.16.131.109/32172.16.131.109 to 172.16.131.109—1
111172.16.131.110/32172.16.131.110 to 172.16.131.110—1
112172.16.131.111/32172.16.131.111 to 172.16.131.111—1
113172.16.131.112/32172.16.131.112 to 172.16.131.112—1
114172.16.131.113/32172.16.131.113 to 172.16.131.113—1
115172.16.131.114/32172.16.131.114 to 172.16.131.114—1
116172.16.131.115/32172.16.131.115 to 172.16.131.115—1
117172.16.131.116/32172.16.131.116 to 172.16.131.116—1
118172.16.131.117/32172.16.131.117 to 172.16.131.117—1
119172.16.131.118/32172.16.131.118 to 172.16.131.118—1
120172.16.131.119/32172.16.131.119 to 172.16.131.119—1
121172.16.131.120/32172.16.131.120 to 172.16.131.120—1
122172.16.131.121/32172.16.131.121 to 172.16.131.121—1
123172.16.131.122/32172.16.131.122 to 172.16.131.122—1
124172.16.131.123/32172.16.131.123 to 172.16.131.123—1
125172.16.131.124/32172.16.131.124 to 172.16.131.124—1
126172.16.131.125/32172.16.131.125 to 172.16.131.125—1
127172.16.131.126/32172.16.131.126 to 172.16.131.126—1
128172.16.131.127/32172.16.131.127 to 172.16.131.127—1
129172.16.131.128/32172.16.131.128 to 172.16.131.128—1
130172.16.131.129/32172.16.131.129 to 172.16.131.129—1
131172.16.131.130/32172.16.131.130 to 172.16.131.130—1
132172.16.131.131/32172.16.131.131 to 172.16.131.131—1
133172.16.131.132/32172.16.131.132 to 172.16.131.132—1
134172.16.131.133/32172.16.131.133 to 172.16.131.133—1
135172.16.131.134/32172.16.131.134 to 172.16.131.134—1
136172.16.131.135/32172.16.131.135 to 172.16.131.135—1
137172.16.131.136/32172.16.131.136 to 172.16.131.136—1
138172.16.131.137/32172.16.131.137 to 172.16.131.137—1
139172.16.131.138/32172.16.131.138 to 172.16.131.138—1
140172.16.131.139/32172.16.131.139 to 172.16.131.139—1
141172.16.131.140/32172.16.131.140 to 172.16.131.140—1
142172.16.131.141/32172.16.131.141 to 172.16.131.141—1
143172.16.131.142/32172.16.131.142 to 172.16.131.142—1
144172.16.131.143/32172.16.131.143 to 172.16.131.143—1
145172.16.131.144/32172.16.131.144 to 172.16.131.144—1
146172.16.131.145/32172.16.131.145 to 172.16.131.145—1
147172.16.131.146/32172.16.131.146 to 172.16.131.146—1
148172.16.131.147/32172.16.131.147 to 172.16.131.147—1
149172.16.131.148/32172.16.131.148 to 172.16.131.148—1
150172.16.131.149/32172.16.131.149 to 172.16.131.149—1
151172.16.131.150/32172.16.131.150 to 172.16.131.150—1
152172.16.131.151/32172.16.131.151 to 172.16.131.151—1
153172.16.131.152/32172.16.131.152 to 172.16.131.152—1
154172.16.131.153/32172.16.131.153 to 172.16.131.153—1
155172.16.131.154/32172.16.131.154 to 172.16.131.154—1
156172.16.131.155/32172.16.131.155 to 172.16.131.155—1
157172.16.131.156/32172.16.131.156 to 172.16.131.156—1
158172.16.131.157/32172.16.131.157 to 172.16.131.157—1
159172.16.131.158/32172.16.131.158 to 172.16.131.158—1
160172.16.131.159/32172.16.131.159 to 172.16.131.159—1
161172.16.131.160/32172.16.131.160 to 172.16.131.160—1
162172.16.131.161/32172.16.131.161 to 172.16.131.161—1
163172.16.131.162/32172.16.131.162 to 172.16.131.162—1
164172.16.131.163/32172.16.131.163 to 172.16.131.163—1
165172.16.131.164/32172.16.131.164 to 172.16.131.164—1
166172.16.131.165/32172.16.131.165 to 172.16.131.165—1
167172.16.131.166/32172.16.131.166 to 172.16.131.166—1
168172.16.131.167/32172.16.131.167 to 172.16.131.167—1
169172.16.131.168/32172.16.131.168 to 172.16.131.168—1
170172.16.131.169/32172.16.131.169 to 172.16.131.169—1
171172.16.131.170/32172.16.131.170 to 172.16.131.170—1
172172.16.131.171/32172.16.131.171 to 172.16.131.171—1
173172.16.131.172/32172.16.131.172 to 172.16.131.172—1
174172.16.131.173/32172.16.131.173 to 172.16.131.173—1
175172.16.131.174/32172.16.131.174 to 172.16.131.174—1
176172.16.131.175/32172.16.131.175 to 172.16.131.175—1
177172.16.131.176/32172.16.131.176 to 172.16.131.176—1
178172.16.131.177/32172.16.131.177 to 172.16.131.177—1
179172.16.131.178/32172.16.131.178 to 172.16.131.178—1
180172.16.131.179/32172.16.131.179 to 172.16.131.179—1
181172.16.131.180/32172.16.131.180 to 172.16.131.180—1
182172.16.131.181/32172.16.131.181 to 172.16.131.181—1
183172.16.131.182/32172.16.131.182 to 172.16.131.182—1
184172.16.131.183/32172.16.131.183 to 172.16.131.183—1
185172.16.131.184/32172.16.131.184 to 172.16.131.184—1
186172.16.131.185/32172.16.131.185 to 172.16.131.185—1
187172.16.131.186/32172.16.131.186 to 172.16.131.186—1
188172.16.131.187/32172.16.131.187 to 172.16.131.187—1
189172.16.131.188/32172.16.131.188 to 172.16.131.188—1
190172.16.131.189/32172.16.131.189 to 172.16.131.189—1
191172.16.131.190/32172.16.131.190 to 172.16.131.190—1
192172.16.131.191/32172.16.131.191 to 172.16.131.191—1
193172.16.131.192/32172.16.131.192 to 172.16.131.192—1
194172.16.131.193/32172.16.131.193 to 172.16.131.193—1
195172.16.131.194/32172.16.131.194 to 172.16.131.194—1
196172.16.131.195/32172.16.131.195 to 172.16.131.195—1
197172.16.131.196/32172.16.131.196 to 172.16.131.196—1
198172.16.131.197/32172.16.131.197 to 172.16.131.197—1
199172.16.131.198/32172.16.131.198 to 172.16.131.198—1
200172.16.131.199/32172.16.131.199 to 172.16.131.199—1
201172.16.131.200/32172.16.131.200 to 172.16.131.200—1
202172.16.131.201/32172.16.131.201 to 172.16.131.201—1
203172.16.131.202/32172.16.131.202 to 172.16.131.202—1
204172.16.131.203/32172.16.131.203 to 172.16.131.203—1
205172.16.131.204/32172.16.131.204 to 172.16.131.204—1
206172.16.131.205/32172.16.131.205 to 172.16.131.205—1
207172.16.131.206/32172.16.131.206 to 172.16.131.206—1
208172.16.131.207/32172.16.131.207 to 172.16.131.207—1
209172.16.131.208/32172.16.131.208 to 172.16.131.208—1
210172.16.131.209/32172.16.131.209 to 172.16.131.209—1
211172.16.131.210/32172.16.131.210 to 172.16.131.210—1
212172.16.131.211/32172.16.131.211 to 172.16.131.211—1
213172.16.131.212/32172.16.131.212 to 172.16.131.212—1
214172.16.131.213/32172.16.131.213 to 172.16.131.213—1
215172.16.131.214/32172.16.131.214 to 172.16.131.214—1
216172.16.131.215/32172.16.131.215 to 172.16.131.215—1
217172.16.131.216/32172.16.131.216 to 172.16.131.216—1
218172.16.131.217/32172.16.131.217 to 172.16.131.217—1
219172.16.131.218/32172.16.131.218 to 172.16.131.218—1
220172.16.131.219/32172.16.131.219 to 172.16.131.219—1
221172.16.131.220/32172.16.131.220 to 172.16.131.220—1
222172.16.131.221/32172.16.131.221 to 172.16.131.221—1
223172.16.131.222/32172.16.131.222 to 172.16.131.222—1
224172.16.131.223/32172.16.131.223 to 172.16.131.223—1
225172.16.131.224/32172.16.131.224 to 172.16.131.224—1
226172.16.131.225/32172.16.131.225 to 172.16.131.225—1
227172.16.131.226/32172.16.131.226 to 172.16.131.226—1
228172.16.131.227/32172.16.131.227 to 172.16.131.227—1
229172.16.131.228/32172.16.131.228 to 172.16.131.228—1
230172.16.131.229/32172.16.131.229 to 172.16.131.229—1
231172.16.131.230/32172.16.131.230 to 172.16.131.230—1
232172.16.131.231/32172.16.131.231 to 172.16.131.231—1
233172.16.131.232/32172.16.131.232 to 172.16.131.232—1
234172.16.131.233/32172.16.131.233 to 172.16.131.233—1
235172.16.131.234/32172.16.131.234 to 172.16.131.234—1
236172.16.131.235/32172.16.131.235 to 172.16.131.235—1
237172.16.131.236/32172.16.131.236 to 172.16.131.236—1
238172.16.131.237/32172.16.131.237 to 172.16.131.237—1
239172.16.131.238/32172.16.131.238 to 172.16.131.238—1
240172.16.131.239/32172.16.131.239 to 172.16.131.239—1
241172.16.131.240/32172.16.131.240 to 172.16.131.240—1
242172.16.131.241/32172.16.131.241 to 172.16.131.241—1
243172.16.131.242/32172.16.131.242 to 172.16.131.242—1
244172.16.131.243/32172.16.131.243 to 172.16.131.243—1
245172.16.131.244/32172.16.131.244 to 172.16.131.244—1
246172.16.131.245/32172.16.131.245 to 172.16.131.245—1
247172.16.131.246/32172.16.131.246 to 172.16.131.246—1
248172.16.131.247/32172.16.131.247 to 172.16.131.247—1
249172.16.131.248/32172.16.131.248 to 172.16.131.248—1
250172.16.131.249/32172.16.131.249 to 172.16.131.249—1
251172.16.131.250/32172.16.131.250 to 172.16.131.250—1
252172.16.131.251/32172.16.131.251 to 172.16.131.251—1
253172.16.131.252/32172.16.131.252 to 172.16.131.252—1
254172.16.131.253/32172.16.131.253 to 172.16.131.253—1
255172.16.131.254/32172.16.131.254 to 172.16.131.254—1
256172.16.131.255/32172.16.131.255 to 172.16.131.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses